<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_vec.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Vec Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_vec.html">Vec</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_vec.html#a5f9a71c878030b35a8399ea5def98924">div</a>(const Vec &amp;b) const</td><td class="entry"><a class="el" href="class_vec.html">Vec</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_vec.html#aff3033b4827d5ce26ad1652a0c92e4c0">dot</a>(const Vec &amp;b) const</td><td class="entry"><a class="el" href="class_vec.html">Vec</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_vec.html#a40f86c7549206f61a8b92c0b0f734b7e">mult</a>(const Vec &amp;b) const</td><td class="entry"><a class="el" href="class_vec.html">Vec</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_vec.html#ae690197cdfb7a9a0c07bed671263b2bf">norm</a>()</td><td class="entry"><a class="el" href="class_vec.html">Vec</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_vec.html#ad565fbb5b8815047fc201f415e2779b2">normalize</a>()</td><td class="entry"><a class="el" href="class_vec.html">Vec</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_vec.html#a4671f57d4ff6d2af27703071c95a00bb">operator%</a>(Vec &amp;b)</td><td class="entry"><a class="el" href="class_vec.html">Vec</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_vec.html#a73ad126ecde40cd40d7f8d94a28f1d27">operator*</a>(double b) const</td><td class="entry"><a class="el" href="class_vec.html">Vec</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_vec.html#a436959bd7cacc35bd0ec920ab6c4db10">operator+</a>(const Vec &amp;b) const</td><td class="entry"><a class="el" href="class_vec.html">Vec</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_vec.html#afd81c5160ec2a2a4ce0e13a95e344d9f">operator-</a>(const Vec &amp;b) const</td><td class="entry"><a class="el" href="class_vec.html">Vec</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_vec.html#a6f1779ed87ed0b6b1c8d6b30fb6973c7">operator/</a>(double b) const</td><td class="entry"><a class="el" href="class_vec.html">Vec</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_vec.html#a851e89b0653553745cb01ebf55268d56">operator[]</a>(const unsigned int i)</td><td class="entry"><a class="el" href="class_vec.html">Vec</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_vec.html#a6a161e229a763d5918933b60246d49fa">print</a>()</td><td class="entry"><a class="el" href="class_vec.html">Vec</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_vec.html#a2e56ebfd280de14db0d12c906374d0a4">Vec</a>(double x_=0, double y_=0, double z_=0)</td><td class="entry"><a class="el" href="class_vec.html">Vec</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_vec.html#a6b06c403da715c182792139c41fb4e1a">x</a></td><td class="entry"><a class="el" href="class_vec.html">Vec</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_vec.html#a7e01ed5aadbe96e61e9192edf6cb740b">y</a></td><td class="entry"><a class="el" href="class_vec.html">Vec</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_vec.html#a1517109e425feb5925733588631f862c">z</a></td><td class="entry"><a class="el" href="class_vec.html">Vec</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
